;*****************************************************************
;** This is the catalog constructor for CLICon 3.04		**
;**								**
;** Since I do not own the CBM localizer tool, you MUST use my	**
;** private "CreateCatalog" program (same as for ViNCEd)	**
;**								**
;*****************************************************************
;
;This script has a double function:
;It is first a shell script that must be executed to create the
;catalog.
;It contains secondly the localized versions of the benchtrash
;strings. This is possible due to the special syntax of the
;CreateCatalog tool.
;
;The only thing worth noting here is that all strings must be
;preceeded with an apostrophe (').
;Empty lines, lines starting with a blank or a semicolon
;character are comment-lines. They aren't seen by CreateCatalog.
;
;To create a catalog for your language, translate the strings below.
;They are currently taken from the german localization, but to
;give you some hint what they mean I added the original english
;strings plus some comments when they are displayed ON TOP of the
;german ones.
;
;If you wrote a catalog for CLICon, please compile it simply by
;EXECUTING this file, i.e. enter
;
;EXECUTE CLICon.cc
;
;The ready for use catalog will be appear in the ram disk.
;
;
;Greetings,
;	Thomas
 CreateCatalog CLICon.cc ram:CLICon.catalog norsk 3 4
;					    ^^^^^^^
;					Insert your language here!

;
 quit
;
;
;---------------------------------------------------------------------------
;The catalog starts here...
;---------------------------------------------------------------------------
;
;CLICon requests error :
;The header string of a CLICon failure requester
;'CLICon Fehlermeldung :
'CLICon feilmelding :

;
;"DOS failure "
;A generic fail message if no other string is available. The error
;number is inserted AFTER this text. The double quotes ARE needed to
;enclose the space at the end of the text.
;'"DOS Fehler "
'"DOS-feil "


;No CLICon icon selected !
;CLICon was started without a CLICon project icon select.
;'Kein CLICon Icon ausgewhlt!
'Du har ikke valgt noe CLICon-ikon!


;Can't load icons !
;The disk objects of the icons involved can't be loaded. GetDiskObject
;failed.
;'Kann Icons nicht laden!
'Kan ikke hente ikoner!


;Only one CLIcon icon allowed !
;The user selected more than one CLICon project icon. CLICon does not
;know which one to execute.
;'Nur ein CLICon Icon erlaubt!
'Du kan bare velge ett CLICon-ikon!


;No CLIcon - set FILETYPE !
;No CLICon icon was found. Another project icon set CLICon as default tool
;without setting the file type correctly. The tooltype
;FILETYPE=CLICON
;MUST be present since CLICon identifies its script by this tool type.
;'Kein CLICon Icon gefunden\nBitte FILETYPE setzen!
'CLICon-ikon ikke funnet\nVennligst sett FILETYPE

;Invalid lock descriptor !
;A lock descriptor was invalid. (),<>,[], are legal, as well as OWN,
;FOREIGN,USED,... see the guide.
;'Ungltiger Lockbezeichner!
'Ugyldig ls-beskriver!

;No valid lock found !
;None of the possible lock descriptors can be expanded. (FOREIGN) for
;example will result in this error if no other icon was select.
;'Kein gltiger Lock gefunden!
'Ingen gyldig ls-beskriver funnet


;Can't open window !
;The path for the window did not open, i.e. the WINDOW tooltype was some-
;what invalid.
;'Kann Fenster nicht ffnen!
'Kan ikke pne vindu!


;Can't find requested device !
;The lock can't be converted to the device name of the underlying device.
;Happens if <> did not work.
;'Kann Gert nicht finden!
'Kan ikke finne enheten!


;Can't create CD path !
;CLICon failed to create the path to CD to when executing the script.
;'Kann Pfad nicht erzeugen!
'Kan ikke sette gjeldende katalog


;Illegal \\ sequence !
;A backslash sequence was invalid, i.e. terminated illegally.
;The double backslash is escaped into a single backslash.
;'Ungltige "\\"-Sequenz!
'Ugyldig "\\"-sekvens!


;Illegal bracket sequence !
;A bracket sequence was illegally terminated. An opened bracket was not
;closed before the string ended.
;'Ungltige Klammersequenz!
'Ugyldig klamme-sekvens


;Can't create bracket path !
;A bracket sequence can't be expanded into the full path.
;'Kann Klammern nicht expandieren!
'Kan ikke fylle ut klammer!


;Out of memory !
;Memory allocation failed.
;'Speicher fehlt!
'Ikke nok minne!


;Invalid number !
;A tooltype requesting a number got an invalid argument.
;'Ungltige Zahl!
'Ugyldig tall!


;Can't write temp-file !
;The temporary file for the EXECUTE command can't be created.
;'Kann Temporrdatei nicht erzeugen!
'Temporrfil kan ikke opprettes!


;Unable to lock temp-dir !
;CLICon can't lock T: even though it was found. Strange.
;'Kann Temporrordner nicht locken!
'Kan ikke lse temporrskuff (T:)!


;Unable to find temp-dir !
;The T: directory wasn't available nor could be created.
;'Kann Temporrordner nicht finden!
'Kann ikke finne temporrskuff (T:)!



;Actually, you don't need to localize the following, since icon is always present in 37 and up...
;Need icon.library !
;Icon library missing. Won't happen, since IF locale support is present,
;icon.library is in ROM.
'pning av icon.library feilet!


;Can't execute CLICon script !
;The Execute() function returned an error.
;'CLICon-Skript kann nicht ausgefhrt werden!
'CLICon-skriptet kan ikke utfres!


;Command tooltype illegal !
;The COMMAND TOOLTYPE is neither BATCH nor INFO.
;'Illegales Argument an COMMAND!
'Feil verdi for verktytype COMMAND


;Can't open batch file !
;The batch file containing the CLICon script can't be opened.
;Does occure if COMMAND=BATCH and the batch file is missing, for example.
;'Batch-File kann nicht geffnet werden!
'Batch-fil kan ikke pnes


;Invalid boolean tooltype !
;A boolean tooltype argument is neither TRUE nor FALSE.
;'Illegales boolsches Argument!
'Ugyldig boolsk argument!


;Can't fetch own icon !
;CLICon failed to find the FILETYPE=CLICON icon. This one is no longer
;used and replaced by a similar string above.
;'Kann eigenes Icon nicht finden!
'Kan ikke finne eget ikon!



;Can't create path list !
;CLICon failed to create the command path lock list needed for creating
;a private CLI structure.
;'Die Pfadliste kann nicht erzeugt werden!
'Kan ikke opprette skesti-liste


;Can't create new CLI !
;CLICon failed to roll its own CLI structure. 
;'Ein neuer CLI kann nicht erzeugt werden!
'Kan ikke pne nytt CLI!


;Can't setup CLI prompt !
;CLICon failed to setup the prompt string for the new CLI.
;'CLI Prompt kann nicht erzeugt werden!
'Kan ikke sette CLI-prompt

;Can't setup directory name !
;CLICon failed to setup the directory name in the CLI structure.
;'CLI Directory kann nicht erzeugt werden!
'Kan ikke sette katalognavn


;Can't setup directory name !
;CLICon failed to find the name of the current directory for the CLI.
;'CLI Pfad kann nicht erzeugt werden!
'Kan ikke sette CLI-skesti


;Lock does not specify a drawer !
;The specified directory for the new CLI belongs not to a drawer, but
;to a file.
;'Der Lock gehrt nicht zu einem Ordner!
'Lsen er ikke tilknyttet noen katalog


;Workbench process not found !
;CLICon failed to locate the Workbench process. This process is needed
;to find the default path for the CLI.
;'Der Workbench-Proze fehlt!
'Workbench-prosessen feilet!


;" Cancel "
;The contents of the Abort gadget in the failure requester. Note the
;double quotes to enclose the spaces.
;'" Abbruch "
'" Avbryt "


;\r\n\c p\c0;31;40mPress \c1;33;40mRETURN\c0;31;40m to continue....
;The string CLICon prints after the work is done, if DELAY=TRUE.
;\r is the CR code, \n is the line feed, \c is the CSI sequence.
;'\r\n\c p\c0;31;40mBitte \c1;33;40mRETURN\c0;31;40m drcken, um fortzufahren...
'\r\n\c p\c0;31;40mTrykk \c1;33;40mRETURN\c0;31;40m for  fortsette...


;RAW:0/0/640/100/CLICon Message
;The default path for the output window.
;'RAW:0/0/640/100/CLICon Meldung
'RAW:0/0/640/100/CLICon-melding

;---------------------------  added these to 3.04 -------------------------

;CLICon script failed !
;The message if the V37 SystemTagList() command caused a failure.
;Unlike the pre-V36 Execute() this call does return the return code
;of the executed script, so we change the message!
;'CLICon-Skript erzeugte einen Fehler !
'CLICon-skriptet feilet!


;That's all folks
